#include <iostream>
using namespace std;

const int MAX_SIZE = 256;

void toLowerCase(char[]);
void inputString(char[], int);

int main() {

	char string[MAX_SIZE];
	inputString(string, MAX_SIZE);
	toLowerCase(string);	

	cout << "Result: " << string << endl;

	return 0;
}

void inputString(char string[], int limit) {

	cout << "Input a stirng (max" << limit << "): ";
	cin.getline(string, limit);

}

void toLowerCase(char string[]) {

	for(int i = 0; string[i] != '\0'; ++i) {
		if('A' <= string[i] && string[i] <= 'Z') {
			string[i] |= 0x20;
		}
	}
}
